<template>
    <div id="finalPoints">
        <table>
         <tr>
           <th>Player name</th>
           <th>Game points</th>
         </tr>
         <tr v-for="points in playerPoints" :key="points.playerName">
           <td>{{ points.playerName }}</td>
           <td>{{ points.gamePoints }}</td>
         </tr>
        </table> 
    </div>
</template>
<script>
    import axios from 'axios';
    export default {
        name: 'finalPoints',
        data: function () {
            return {
                playerPoints: [],
                gameId: this.$route.params.gameId
            }
        },
        methods: {
            retrieveFinalPoints() {
                axios.get("https://localhost:44361/api/game/" + this.gameId + "/finalPoints")
                    .then(response => this.playerPoints = response.data);
            }
        },
        created: function () {
            this.retrieveFinalPoints();
        }
    }
</script>

<style scoped>
    #finalPoints {
        background: #EFDAE3;
    }
    td {
         vertical-align: top;
    }
</style>
